# makeSubscription | Welshman Docs
Documentation for Welshman Docs

# Function makeSubscription

- makeSubscription(
  request: SubscribeRequest ,
  ): {
  close: () => void;
  controller: AbortController;
  emitter: Emitter ;
  id: string;
  request: SubscribeRequest ;
  tracker: Tracker ;
  }

- #### Parameters

  - request: SubscribeRequest

  #### Returns {
  close: () => void;
  controller: AbortController;
  emitter: Emitter ;
  id: string;
  request: SubscribeRequest ;
  tracker: Tracker ;
  }

  - Defined in packages/net/src/Subscribe.ts:57